Subject: Re: [PATCH] Color support added to git-add--interactive.

From: Tom Tobin <[email-masked]>
Date: Sat, 13 Oct 2007 15:21:13 -0500

On Fri, 2007-10-12 at 23:13 -0500, Dan Zwell wrote:
> Recently there was some talk of color for git-add--interactive, but the 
> person who said he already had a patch didn't produce it.

Meh, I really need to start posting the stuff I've hacked into git.
First the git-stash changes, now this.  Sigh.  ^_^

I have a variant of git-add--interactive that properly adds coloration
to diffs, taking the config file values already set for the color.diff
key and colorizing the unadorned diffs internally (rather than expecting
the output of git-diff/git-diff-files to be colorized).

Give me a couple of hours (still setting up my Macbook after repaving it
and installing Ubuntu) and I'll post what I've got for others to tear
apart and point out where I screwed up.  ;)